Bug 1129927 - Wifi randomly disconnects, then all networks disappear, F20
Summary: Wifi randomly disconnects, then all networks disappear, F20
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 02:42 UTC by Jiri Vyskocil
Modified: 2014-09-04 00:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 00:48:50 UTC


Attachments (Terms of Use)
network related stuff from /var/log/messages (474.17 KB, text/plain)
2014-08-14 02:42 UTC, Jiri Vyskocil
no flags Details

Description Jiri Vyskocil 2014-08-14 02:42:02 UTC
Created attachment 926612 [details]
network related stuff from /var/log/messages

After a recent kernel update, wifi will randomly disconnect from the AP. Sometimes it stays up for about one hour, sometimes it lasts for several hours. 

After the connection drops, the AP will disappear from the networkmanager list - NM will try to connect to another AP, is unsuccessful, nad that AP disappears as well.

Then after a few minutes, all of the APs from the list are gone - even if NM didn't try to connect to them.

If I reboot the machine, all the APs are visible again, and I can connect and use the wifi until a couple hours later, the same problem appears forcing me to reboot again.


[strazce@odin ~]$ lsb_release -r
Release:	20
[strazce@odin ~]$ uname -a
Linux odin.ji.toh.cz 3.15.8-200.fc20.x86_64 #1 SMP Fri Aug 1 00:38:50 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux




I attached the /var/log/messages file. It was extremely long, so I just included what looked like it might have some relation to networking/wifi.

The problem starts at line 366 with a stack trace repeating until line 3200 (looks it's the same one all over again - didn't actually check ALL of them):


Aug 14 09:46:27 odin kernel: [68323.364090] iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:27 odin kernel: [68323.382527] iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:27 odin kernel: iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:27 odin kernel: iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:27 odin kernel: [68323.662117] iwlwifi 0000:02:00.0: Error sending REPLY_SCAN_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:27 odin kernel: iwlwifi 0000:02:00.0: Error sending REPLY_SCAN_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:30 odin kernel: [68326.345800] iwlwifi 0000:02:00.0: fail to flush all tx fifo queues Q 0
Aug 14 09:46:30 odin kernel: [68326.345812] iwlwifi 0000:02:00.0: Current SW read_ptr 106 write_ptr 107
Aug 14 09:46:30 odin kernel: [68326.360483] iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:30 odin kernel: [68326.360510] iwl data: 00000000: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff  ................
Aug 14 09:46:30 odin kernel: iwlwifi 0000:02:00.0: fail to flush all tx fifo queues Q 0
Aug 14 09:46:30 odin kernel: iwlwifi 0000:02:00.0: Current SW read_ptr 106 write_ptr 107
Aug 14 09:46:30 odin kernel: iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:30 odin kernel: iwl data: 00000000: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff  ................
Aug 14 09:46:30 odin kernel: [68326.377283] iwlwifi 0000:02:00.0: FH TRBs(0) = 0xffffffff
Aug 14 09:46:30 odin kernel: [68326.377290] iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:30 odin kernel: [68326.394045] ------------[ cut here ]------------
Aug 14 09:46:30 odin kernel: [68326.394072] WARNING: CPU: 3 PID: 8501 at drivers/net/wireless/iwlwifi/pcie/trans.c:1163 iwl_trans_pcie_grab_nic_access+0xee/0x100 [iwlwifi]()
Aug 14 09:46:30 odin kernel: [68326.394075] Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Aug 14 09:46:30 odin kernel: [68326.394077] Modules linked in: vfat fat fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support btusb bluetooth arc4 coretemp iwldvm snd_hda_codec_hdmi kvm_intel snd_hda_codec_conexant kvm snd_hda_codec_generic mac80211 crct10dif_pclmul crc32_pclmul crc32c_intel iwlwifi snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep ghash_clmulni_intel cfg80211 snd_seq snd_seq_device microcode snd_pcm serio_raw intel_ips i2c_i801 lpc_ich mfd_core snd_timer shpchp wmi mei_me mei thinkpad_acpi snd soundcore rfkill acpi_cpufreq binfmt_misc i915 i2c_algo_bit drm_kms_helper ums_realtek e1000e drm uas usb_storage ptp i2c_core pps_core video
Aug 14 09:46:30 odin kernel: [68326.394165] CPU: 3 PID: 8501 Comm: kworker/u8:1 Not tainted 3.15.8-200.fc20.x86_64 #1
Aug 14 09:46:30 odin kernel: [68326.394168] Hardware name: LENOVO 514344G/514344G, BIOS 6QET70WW (1.40 ) 10/11/2012
Aug 14 09:46:30 odin kernel: [68326.394201] Workqueue: phy0 ieee80211_beacon_connection_loss_work [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394204]  0000000000000000 000000007787f5f5 ffff88011ac37ba0 ffffffff816ef9ae
Aug 14 09:46:30 odin kernel: [68326.394209]  ffff88011ac37be8 ffff88011ac37bd8 ffffffff8108933d ffff88022f5b8000
Aug 14 09:46:30 odin kernel: [68326.394213]  ffff88022f5bb258 ffff88011ac37c80 0000000000000000 0000000000000100
Aug 14 09:46:30 odin kernel: [68326.394217] Call Trace:
Aug 14 09:46:30 odin kernel: [68326.394226]  [<ffffffff816ef9ae>] dump_stack+0x45/0x56
Aug 14 09:46:30 odin kernel: [68326.394232]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
Aug 14 09:46:30 odin kernel: [68326.394236]  [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
Aug 14 09:46:30 odin kernel: [68326.394249]  [<ffffffffa035981e>] iwl_trans_pcie_grab_nic_access+0xee/0x100 [iwlwifi]
Aug 14 09:46:30 odin kernel: [68326.394258]  [<ffffffffa034d184>] iwl_read_direct32+0x34/0x90 [iwlwifi]
Aug 14 09:46:30 odin kernel: [68326.394269]  [<ffffffffa0358887>] iwl_trans_pcie_wait_txq_empty+0x1a7/0x3e0 [iwlwifi]
Aug 14 09:46:30 odin kernel: [68326.394282]  [<ffffffffa068b200>] iwlagn_mac_flush+0xa0/0x180 [iwldvm]
Aug 14 09:46:30 odin kernel: [68326.394307]  [<ffffffffa03cd0ad>] ieee80211_flush_queues+0xbd/0x140 [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394334]  [<ffffffffa03e2ce4>] ieee80211_mgd_probe_ap_send+0xa4/0x140 [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394360]  [<ffffffffa03e0da2>] ? ieee80211_cqm_rssi_notify+0x32/0x80 [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394385]  [<ffffffffa03e288e>] ? ieee80211_recalc_ps.part.24+0xce/0x200 [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394411]  [<ffffffffa03e2e85>] ieee80211_mgd_probe_ap.part.25+0x105/0x150 [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394437]  [<ffffffffa03e34f3>] ieee80211_beacon_connection_loss_work+0x53/0x80 [mac80211]
Aug 14 09:46:30 odin kernel: [68326.394443]  [<ffffffff810a4af6>] process_one_work+0x176/0x430
Aug 14 09:46:30 odin kernel: [68326.394447]  [<ffffffff810a578b>] worker_thread+0x11b/0x3a0
Aug 14 09:46:30 odin kernel: [68326.394452]  [<ffffffff810a5670>] ? rescuer_thread+0x3b0/0x3b0
Aug 14 09:46:30 odin kernel: [68326.394456]  [<ffffffff810ac528>] kthread+0xd8/0xf0
Aug 14 09:46:30 odin kernel: [68326.394460]  [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
Aug 14 09:46:30 odin kernel: [68326.394466]  [<ffffffff816ff93c>] ret_from_fork+0x7c/0xb0
Aug 14 09:46:30 odin kernel: [68326.394470]  [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
Aug 14 09:46:30 odin kernel: [68326.394473] ---[ end trace caa4b1b13047ecf9 ]---
Aug 14 09:46:30 odin kernel: [68326.394550] iwlwifi 0000:02:00.0: FH TRBs(1) = 0x5a5a5a5a
Aug 14 09:46:30 odin kernel: iwlwifi 0000:02:00.0: FH TRBs(0) = 0xffffffff
Aug 14 09:46:30 odin kernel: iwlwifi 0000:02:00.0: Error sending REPLY_LEDS_CMD: enqueue_hcmd failed: -5
Aug 14 09:46:30 odin kernel: ------------[ cut here ]------------



Then it apparently tries to re-initialize, only to get these repeating errors:

Aug 14 09:48:59 odin kernel: iwlwifi 0000:02:00.0: Error sending REPLY_SCAN_CMD: enqueue_hcmd failed: -5
Aug 14 09:49:00 odin kernel: [68476.051463] iwlwifi 0000:02:00.0: Error sending REPLY_SCAN_CMD: enqueue_hcmd failed: -5

Comment 1 Stanislaw Gruszka 2014-09-03 14:30:04 UTC
Do you still have this problem on 3.16 ?

What is your wireless device ?

Comment 2 Jiri Vyskocil 2014-09-04 00:48:50 UTC
The problem disappeared with recent kernel update - I'm on 3.15.10-201.fc20.x86_64 now and haven't seen the problem for a couple of days. No idea if it's related to the kernel update though - might have been anything else.

Just for the record, the device is:
02:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)

Closing the bug as worksofrme I guess.


Note You need to log in before you can comment on or make changes to this bug.